Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451311 - mouse scroll wheel controls both history and page scrolling simultaneously
Summary: mouse scroll wheel controls both history and page scrolling simultaneously
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-13 19:33 UTC by Brian Brock
Modified: 2018-04-11 12:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-28 22:23:25 UTC


Attachments (Terms of Use)
Xorg log from session, after bug occured (deleted)
2008-06-13 19:35 UTC, Brian Brock
no flags Details


Links
System ID Priority Status Summary Last Updated
Mozilla Foundation 412256 None None None Never

Description Brian Brock 2008-06-13 19:33:18 UTC
The third button mouse wheel on my Logitech optical mouse is behaving
incorrectly, in at least firefox.  Scrolling down moves down in the current
page; scrolling up immediately after either scrolls up the page or loads
previous pages in firefox's history

This is a mixed environment, both ff3 from f9 and the xorg-x11 packages from f8.
 Another bug, will link when filed.

firefox-3.0-0.60.beta5.fc9.i386
xorg-x11-server-Xorg-1.3.0.0-44.fc8.i386


The misbehaviour happens very frequently, but not predictably.

To reproduce:

browse several pages, to build a history
scroll down a page using the mouse wheel, this seems to usually work
scroll up using the mouse wheel

at this point, firefox goes back at least one page in its history

Comment 1 Brian Brock 2008-06-13 19:35:00 UTC
Created attachment 309274 [details]
Xorg log from session, after bug occured

Comment 2 Brian Brock 2008-06-13 19:37:21 UTC
mouse wheel seems to work in other apps: konsole, rhythmbox.

Comment 3 Brian Brock 2008-06-13 20:22:54 UTC
at least once, it hasn't matter whether I've scrolled up or down.  That makes
more sense, but it's still occurring somewhat randomly.

Comment 4 Brian Brock 2008-07-28 18:32:39 UTC
still happening.

what information would help this get resolved?

Comment 5 Matěj Cepl 2008-07-28 22:23:25 UTC
We found that this bug has been already registered in the upstream database
(https://bugzilla.mozilla.org/show_bug.cgi?id=412256) and believe that it is
more appropriate to let it be resolved upstream.

Red Hat will continue to track the issue in the centralized upstream bug
tracker, and will review any bug fixes that become available for consideration
in future updates.

Thank you for the bug report.


Note You need to log in before you can comment on or make changes to this bug.